Summary: Tool set for manipulation of NetFlow data
Name: flow-tools
Version: 0.67 
Release: 1gls
Group: System Environment/Daemons 
License: BSD 
Source0: ftp://ftp.eng.oar.net/pub/flow-tools/%{name}-%{version}.tar.gz
Source1: flow-capture.init
Patch0: flow-tools-0.67-db.patch
BuildRoot: %{_tmppath}/%{name}-root
# BuildRequires: mysql-devel >= 3.23.58, postgresql-devel >= 7.4.7
# Requires: mysql >= 3.23.58, postgresql-libs >= 7.4.7

%description
Flow-tools is a collection of programs and a library used to collect,
send, process, and generate reports from NetFlow data. The tools can
be used together on a single server or distributed to multiple servers
for large deployments.

%package devel
Summary: Development headers and libraries for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains include files and the library
required for development of custom applications for NetFlow export
versions 1, 5, 6, and the available releases of version 8 (currently 14).

%prep
%setup -q 
%patch0 -p1

%build
# --with-mysql and --with-pgsql are mutually exclusive
# if any is used, flow-export will depend on it
%configure --localstatedir=%{_localstatedir}/ft
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall localstatedir=%{buildroot}%{_localstatedir}/ft
%{__install} -d %{buildroot}%{_localstatedir}/ft/flows
%{__install} -D -m755 %SOURCE1 %{buildroot}%{_initrddir}/flow-capture

%post
/sbin/chkconfig --add flow-capture
/sbin/chkconfig flow-capture off

%preun
if [ $1 = 0 ]; then
  %{_initrddir}/flow-capture stop >/dev/null 2>&1
  /sbin/chkconfig --del flow-capture
fi
exit 0

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README SECURITY TODO docs/*
%config %{_initrddir}/flow-capture
%{_mandir}/*
%{_bindir}/*
%{_localstatedir}/ft/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a

%changelog
* Mon Apr 18 2005 Gabriel Somlo <somlo@acns.colostate.edu>
- created spec file for Fedora, based on mandrake and wyu@ateneo.net
- flow-export.c db debug and quotation patches merged
- added init script for flow-capture
